org.eclipse.microprofile.graphql.tck.apps.superhero.model

## Class Item

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.apps.superhero.model.Item

    @Description(value="Something of use to a super hero")
    public class Item
    extends Object

### Field Summary

Fields
`static String` `CAPE`

### Constructor Summary

Constructors
Constructor and Description
`Item()`
`Item(long id, String name, int powerLevel, double height, float weight, boolean supernatural)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<SuperHero>` `getCanWield()`
`ZonedDateTime` `getDateCreated()`
`OffsetDateTime` `getDateLastUsed()`
`String` `getDescription()`
`double` `getHeight()`
`long` `getId()`
`String` `getName()`
`int` `getPowerLevel()`
`float` `getWeight()`
`boolean` `isArtificialIntelligenceRating()`
`boolean` `isInvisible()`
`boolean` `isSupernatural()`
`void` `setArtificialIntelligenceRating(boolean artificialIntelligenceRating)`
`void` `setCanWield(Collection<SuperHero> canWield)`
`void` `setDateCreated(ZonedDateTime dateCreated)`
`void` `setDateLastUsed(OffsetDateTime dateLastUsed)`
`void` `setDescription(String description)`
`void` `setHeight(double height)`
`void` `setId(long id)`
`void` `setInvisible(boolean invisible)`
`void` `setName(String name)`
`void` `setPowerLevel(int powerLevel)`
`void` `setSupernatural(boolean supernatural)`
`void` `setWeight(float weight)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CAPE

    public static final String CAPE

See Also:
  Constant Field Values

### Constructor Detail

#### Item

    public Item()

#### Item

    public Item(long id,
                String name,
                int powerLevel,
                double height,
                float weight,
                boolean supernatural)

### Method Detail

#### getId

    public long getId()

#### setId

    public void setId(long id)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getPowerLevel

    public int getPowerLevel()

#### setPowerLevel

    public void setPowerLevel(int powerLevel)

#### getHeight

    public double getHeight()

#### setHeight

    public void setHeight(double height)

#### getWeight

    public float getWeight()

#### setWeight

    public void setWeight(float weight)

#### isSupernatural

    public boolean isSupernatural()

#### setSupernatural

    public void setSupernatural(boolean supernatural)

#### isInvisible

    public boolean isInvisible()

#### setInvisible

    public void setInvisible(boolean invisible)

#### getCanWield

    @Ignore
    public Collection<SuperHero> getCanWield()

#### setCanWield

    public void setCanWield(Collection<SuperHero> canWield)

#### isArtificialIntelligenceRating

    public boolean isArtificialIntelligenceRating()

#### setArtificialIntelligenceRating

    @Ignore
    public void setArtificialIntelligenceRating(boolean artificialIntelligenceRating)

#### getDescription

    public String getDescription()

#### setDescription

    @NonNull
     @DefaultValue(value="An unidentified item")
    public void setDescription(String description)

#### getDateCreated

    public ZonedDateTime getDateCreated()

#### setDateCreated

    public void setDateCreated(ZonedDateTime dateCreated)

#### getDateLastUsed

    public OffsetDateTime getDateLastUsed()

#### setDateLastUsed

    public void setDateLastUsed(OffsetDateTime dateLastUsed)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`